## pfstools 2.2.0

=== src/CMakeLists.txt ===
if( NOT HAS_GETOPT )
  add_subdirectory (getopt)
endif( NOT HAS_GETOPT )

add_subdirectory (pfs) 
add_subdirectory (fileformat) 
add_subdirectory (filter)

if( ImageMagick_FOUND )
    add_subdirectory (hdrhtml)
endif( ImageMagick_FOUND )

if( Qt5Widgets_FOUND )
	add_subdirectory (pfsview)
else( Qt5Widgets_FOUND )
    # When pre-compiled pfsview is installed on Windows
    find_program( PFSVIEW pfsview )
    if( PFSVIEW )
    	message( "Found (precompiled) pfsview. pfsv script will be installed." )
        # Replace the tag with the path to bash
        file(READ ${CMAKE_CURRENT_SOURCE_DIR}/pfsview/pfsv.in file_content)
        string(REGEX REPLACE "@BASH_PATH@" "${BASH_EXECUTABLE}" file_content "${file_content}")
        file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/pfsview/pfsv" "${file_content}")	

        install (FILES "${CMAKE_CURRENT_BINARY_DIR}/pfsview/pfsv" 
            PERMISSIONS OWNER_EXECUTE GROUP_EXECUTE WORLD_EXECUTE OWNER_WRITE WORLD_READ GROUP_READ OWNER_READ
            DESTINATION bin)
    endif( PFSVIEW )
endif( Qt5Widgets_FOUND )

if( MATLAB_FOUND )
    add_subdirectory (matlab)
endif( MATLAB_FOUND )

if( OPENGL_FOUND AND GLUT_FOUND )
    add_subdirectory (pfsglview)
endif( OPENGL_FOUND AND GLUT_FOUND )

if( WITH_HDRVC )
	add_subdirectory (hdrvc)
endif( WITH_HDRVC )

if( MKOCTFILE )
	add_subdirectory (octave)
endif( MKOCTFILE )

add_subdirectory (tmo)
add_subdirectory (camera)

=== src/camera/CMakeLists.txt ===
include_directories ("${PROJECT_BINARY_DIR}/"
"${PROJECT_SOURCE_DIR}/src/pfs" "${CMAKE_CURRENT_SOURCE_DIR}")

link_directories("${PROJECT_SOURCE_DIR}/src/pfs")

set(TRG pfshdrcalibrate)
add_executable(${TRG} ${TRG}.cpp  responses.cpp robertson02.cpp  mitsunaga99.cpp  mitsunaga99_numerical.cpp nrutil.cpp "${GETOPT_OBJECT}")			  
target_link_libraries(${TRG} pfs)
install (TARGETS ${TRG} DESTINATION bin)
install (FILES ${TRG}.1 DESTINATION ${MAN_DIR})

if( OpenCV_FOUND AND EXIF_FOUND )

	set(TRG pfsalign)
	add_executable(${TRG} ${TRG}.cpp  "${GETOPT_OBJECT}")			  
	target_link_libraries(${TRG} pfs ${OpenCV_LIBS}
	${EXIF_LIBRARIES})
	include_directories( ${EXIF_INCLUDE_DIRS} )
	install (TARGETS ${TRG} DESTINATION bin)
	install (FILES ${TRG}.1 DESTINATION ${MAN_DIR})

endif( OpenCV_FOUND AND EXIF_FOUND )


# Shell scripts
set(SCRIPTS dcraw2hdrgen jpeg2hdrgen pfsinme pfsplotresponse pfsinhdrgen) 

foreach(SCRIPT ${SCRIPTS}) 

	# Replace the tag with the path to bash
	file(READ ${CMAKE_CURRENT_SOURCE_DIR}/${SCRIPT}.in file_content)
	string(REGEX REPLACE "@BASH_PATH@" "${BASH_EXECUTABLE}" file_content "${file_content}")
	string(REGEX REPLACE "@PERL_PATH@" "${PERL_EXECUTABLE}" file_content "${file_content}")
	file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/${SCRIPT}" "${file_content}")	

	install (FILES "${CMAKE_CURRENT_BINARY_DIR}/${SCRIPT}" 
         PERMISSIONS OWNER_EXECUTE GROUP_EXECUTE WORLD_EXECUTE OWNER_WRITE WORLD_READ GROUP_READ OWNER_READ
         DESTINATION bin)	
		 
	install (FILES ${SCRIPT}.1 DESTINATION ${MAN_DIR})
		 
endforeach(SCRIPT) 

install (FILES pfs_split_exposures.py pfs_automerge  
	PERMISSIONS OWNER_EXECUTE GROUP_EXECUTE WORLD_EXECUTE OWNER_WRITE WORLD_READ GROUP_READ OWNER_READ
	DESTINATION bin)	

install (FILES pfs_automerge.1 DESTINATION ${MAN_DIR})

=== src/fileformat/CMakeLists.txt ===
include_directories ("${PROJECT_BINARY_DIR}/" "${PROJECT_SOURCE_DIR}/src/pfs")
if( NOT HAS_GETOPT )
	include_directories ("${GETOPT_INCLUDE}")
endif( NOT HAS_GETOPT )

link_directories("${PROJECT_SOURCE_DIR}/src/pfs")

set( SHELL_CMDS pfsin pfsout pfsindcraw )
#set( SHELL_CMDS  )
foreach(SHCMD ${SHELL_CMDS}) 
  # Replace the tag with the path to bash
  add_custom_command( OUTPUT ${SHCMD}
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${SHCMD}.in
    COMMAND sed -e "'s;@BASH_PATH@;${BASH_EXECUTABLE};g'" ${CMAKE_CURRENT_SOURCE_DIR}/${SHCMD}.in >${CMAKE_CURRENT_BINARY_DIR}/${SHCMD} )
  add_custom_target(${SHCMD}_sh ALL DEPENDS ${SHCMD})
endforeach(SHCMD)
    
#file(READ ${CMAKE_CURRENT_SOURCE_DIR}/pfsin.in file_content)
#string(REGEX REPLACE "@BASH_PATH@" "${BASH_EXECUTABLE}" file_content "${file_content}")
#file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/pfsin" "${file_content}")	

#file(READ ${CMAKE_CURRENT_SOURCE_DIR}/pfsout.in file_content)
#string(REGEX REPLACE "(@BASH_PATH@)" "${BASH_EXECUTABLE}" file_content "${file_content}")
#file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/pfsout" "${file_content}")	

#file(READ ${CMAKE_CURRENT_SOURCE_DIR}/pfsindcraw.in file_content)
#string(REGEX REPLACE "(@BASH_PATH@)" "${BASH_EXECUTABLE}" file_content "${file_content}")
#file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/pfsindcraw" "${file_content}")	


install (FILES "${CMAKE_CURRENT_BINARY_DIR}/pfsin" "${CMAKE_CURRENT_BINARY_DIR}/pfsout" 
         "${CMAKE_CURRENT_BINARY_DIR}/pfsindcraw" 
         PERMISSIONS OWNER_EXECUTE GROUP_EXECUTE WORLD_EXECUTE OWNER_WRITE WORLD_READ GROUP_READ OWNER_READ
         DESTINATION bin)

install (FILES pfsin.1 DESTINATION ${MAN_DIR})
install (FILES pfsindcraw.1 DESTINATION ${MAN_DIR})
install (FILES pfsout.1 DESTINATION ${MAN_DIR})

add_executable(pfsinyuv pfsinyuv.cpp "${GETOPT_OBJECT}")
target_link_libraries(pfsinyuv pfs)
install (TARGETS pfsinyuv DESTINATION bin)
install (FILES pfsinyuv.1 DESTINATION ${MAN_DIR})

add_executable(pfsoutyuv pfsoutyuv.cpp "${GETOPT_OBJECT}")
target_link_libraries(pfsoutyuv pfs)
install (TARGETS pfsoutyuv DESTINATION bin)
install (FILES pfsoutyuv.1 DESTINATION ${MAN_DIR})

add_executable(pfsinrgbe pfsinrgbe.cpp rgbeio.cpp rgbeio.h "${GETOPT_OBJECT}")
target_link_libraries(pfsinrgbe pfs)
install (TARGETS pfsinrgbe DESTINATION bin)
install (FILES pfsinrgbe.1 DESTINATION ${MAN_DIR})

add_executable(pfsoutrgbe pfsoutrgbe.cpp rgbeio.cpp rgbeio.h "${GETOPT_OBJECT}") 
target_link_libraries(pfsoutrgbe pfs)
install (TARGETS pfsoutrgbe DESTINATION bin)
install (FILES pfsoutrgbe.1 DESTINATION ${MAN_DIR})

add_executable(pfsinpfm pfsinpfm.cpp "${GETOPT_OBJECT}")
target_link_libraries(pfsinpfm pfs)
install (TARGETS pfsinpfm DESTINATION bin)
install (FILES pfsinpfm.1 DESTINATION ${MAN_DIR})

add_executable(pfsoutpfm pfsoutpfm.cpp "${GETOPT_OBJECT}")
target_link_libraries(pfsoutpfm pfs)
install (TARGETS pfsoutpfm DESTINATION bin)
install (FILES pfsoutpfm.1 DESTINATION ${MAN_DIR})

if( OPENEXR_FOUND )
    include_directories("${OPENEXR_INCLUDE_DIR}")

    add_executable(pfsinexr pfsinexr.cpp "${GETOPT_OBJECT}")
    target_link_libraries(pfsinexr pfs ${OPENEXR_LIBRARIES})
    install (TARGETS pfsinexr DESTINATION bin)
    install (FILES pfsinexr.1 DESTINATION ${MAN_DIR})

    add_executable(pfsoutexr pfsoutexr.cpp "${GETOPT_OBJECT}")
    target_link_libraries(pfsoutexr pfs ${OPENEXR_LIBRARIES})
    install (TARGETS pfsoutexr DESTINATION bin)
    install (FILES pfsoutexr.1 DESTINATION ${MAN_DIR})
 endif( OPENEXR_FOUND )

if( ImageMagick_FOUND )
    include_directories(${ImageMagick_INCLUDE_DIRS})
    add_executable(pfsinimgmagick pfsinimgmagick.cpp "${GETOPT_OBJECT}")
    target_link_libraries(pfsinimgmagick pfs ${ImageMagick_LIBRARIES})
    install (TARGETS pfsinimgmagick DESTINATION bin)
    install (FILES pfsinimgmagick.1 DESTINATION ${MAN_DIR})
    set_target_properties(pfsinimgmagick PROPERTIES COMPILE_FLAGS "-DMAGICKCORE_HDRI_ENABLE=0 -DMAGICKCORE_QUANTUM_DEPTH=16")

    add_executable(pfsoutimgmagick pfsoutimgmagick.cpp "${GETOPT_OBJECT}")
    target_link_libraries(pfsoutimgmagick pfs ${ImageMagick_LIBRARIES})
    install (TARGETS pfsoutimgmagick DESTINATION bin)
    install (FILES pfsoutimgmagick.1 DESTINATION ${MAN_DIR})
    set_target_properties(pfsoutimgmagick PROPERTIES COMPILE_FLAGS "-DMAGICKCORE_HDRI_ENABLE=0 -DMAGICKCORE_QUANTUM_DEPTH=16")

endif( ImageMagick_FOUND )

if( NETPBM_FOUND )

    include_directories(${NETPBM_INCLUDE_DIR})

    add_executable(pfsinppm pfsinppm.cpp ppmio.cpp "${GETOPT_OBJECT}")
    target_link_libraries(pfsinppm pfs ${NETPBM_LIBRARIES})
    install (TARGETS pfsinppm DESTINATION bin)
    install (FILES pfsinppm.1 DESTINATION ${MAN_DIR})

    add_executable(pfsoutppm pfsoutppm.cpp ppmio.cpp "${GETOPT_OBJECT}")
    target_link_libraries(pfsoutppm pfs ${NETPBM_LIBRARIES})
    install (TARGETS pfsoutppm DESTINATION bin)
    install (FILES pfsoutppm.1 DESTINATION ${MAN_DIR})

endif( NETPBM_FOUND )

if( TIFF_FOUND )

    include_directories(${TIFF_INCLUDE_DIR})

    add_executable(pfsintiff pfsintiff.cpp hdrtiffio.cpp "${GETOPT_OBJECT}")
    target_link_libraries(pfsintiff pfs ${TIFF_LIBRARY})
    install (TARGETS pfsintiff DESTINATION bin)
    install (FILES pfsintiff.1 DESTINATION ${MAN_DIR})

    add_executable(pfsouttiff pfsouttiff.cpp hdrtiffio.cpp "${GETOPT_OBJECT}")
    target_link_libraries(pfsouttiff pfs ${TIFF_LIBRARY})
    install (TARGETS pfsouttiff DESTINATION bin)
    install (FILES pfsoutppm.1 DESTINATION ${MAN_DIR} RENAME pfsouttiff.1)

endif( TIFF_FOUND )

=== src/octave/CMakeLists.txt ===
include_directories("${PROJECT_BINARY_DIR}/" "${PROJECT_SOURCE_DIR}/src/pfs" "${PROJECT_SOURCE_DIR}/src/octave/help_files" ${OCTAVE_DEST_DIR})
link_directories("${PROJECT_SOURCE_DIR}/src/pfs")

set(HELP_FILES pfsget.help pfsopen.help pfsput.help pfsread.help pfstransform_colorspace.help pfswrite.help)

set(SRC_OCT pfsread pfswrite pfstransform_colorspace pfsopen pfsget pfsput pfsclose)

set(SRC_M pfsview.m pfsview_rgb.m pfsview_list.m pfs_read_rgb.m pfs_read_xyz.m pfs_read_luminance.m pfs_write_rgb.m pfssize.m pfs_open_frames.m pfs_close_frames.m)

set(OCT_SCRIPTS pfsoctavelum pfsoctavergb pfsstat)

set(CMAKE_CXXFLAGS "-cxx -largeArrayDims")
set(ENV{CXXFLAGS} ${CMAKE_CXXFLAGS})

SET( CMAKE_CXX_COMPILER MKOCTFILE )
SET( CMAKE_C_COMPILER   MKOCTFILE )

SET( CMAKE_SHARED_LIBRARY_PREFIX )

set(HEADERS "${PROJECT_SOURCE_DIR}/src/pfs/")

#Building phase
foreach(SRC ${SRC_OCT})
  get_filename_component(OCT_NAME ${SRC} NAME)
  add_custom_command(
	OUTPUT ${OCT_NAME}.oct
	COMMAND ${MKOCTFILE} "${CMAKE_CURRENT_SOURCE_DIR}/${OCT_NAME}.cpp"
	ARGS -I${HEADERS} -I${CMAKE_CURRENT_SOURCE_DIR}/help_files
	-L${PROJECT_BINARY_DIR}/src/pfs -lpfs
	DEPENDS ${OCT_NAME}.cpp
	COMMENT "Generating ${OCT_NAME}.oct"
	VERBATIM)
endforeach(SRC)

foreach(SRC ${SRC_OCT})
	add_custom_target(${SRC}.mkoct ALL DEPENDS ${SRC}.oct)
endforeach(SRC)

#Installation
foreach(SRC ${SRC_OCT}) 
	install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${SRC}.oct 
	         PERMISSIONS OWNER_EXECUTE GROUP_EXECUTE WORLD_EXECUTE OWNER_WRITE WORLD_READ GROUP_READ OWNER_READ
	         DESTINATION "${OCTAVE_OCT_DIR}")
endforeach(SRC)

foreach(SRC ${SRC_M}) 
	install (FILES ${SRC} DESTINATION "${OCTAVE_M_DIR}")
endforeach(SRC)

install (FILES ${OCT_SCRIPTS} 
         PERMISSIONS OWNER_EXECUTE GROUP_EXECUTE WORLD_EXECUTE OWNER_WRITE WORLD_READ GROUP_READ OWNER_READ
         DESTINATION bin)
		 
foreach(SCRIPT ${OCT_SCRIPTS})

install (FILES ${SCRIPT}.1 DESTINATION ${MAN_DIR})

endforeach(SCRIPT ${OCT_SCRIPTS})

=== src/pfs/CMakeLists.txt ===

include_directories ("${PROJECT_BINARY_DIR}/")
if( NOT HAS_GETOPT )
	include_directories ("${GETOPT_INCLUDE}")
endif( NOT HAS_GETOPT )
add_library(pfs ${LIB_TYPE} colorspace.cpp pfs.cpp pfsutils.cpp array2d.h pfs.h "${GETOPT_OBJECT}")

# SOVERSION changes only when the library API changes, so it may be
# different from the package version
set_target_properties(pfs PROPERTIES VERSION 2.0.0 SOVERSION 2)

# TODO: Make it platform dependent - only GCC linux / perhaps Mac
# This is needed when linking with matlab mex files
SET( CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -fPIC" )
SET( CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -fPIC" )

# Replace a few tags in pfs.pc.in file, create pfs.pc
file(READ ${CMAKE_CURRENT_SOURCE_DIR}/pfs.pc.in file_content)
#message("Input:\n${file_content}")
set (file_content_res)
string(REGEX REPLACE "(@prefix@)" "${CMAKE_INSTALL_PREFIX}" file_content_res "${file_content}")
string(REGEX REPLACE "(@PACKAGE_VERSION@)" "${pfstools_VERSION_MAJOR}.${pfstools_VERSION_MINOR}" file_content_res "${file_content_res}")
#message("Output:\n${file_content_res}")
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/pfs.pc" "${file_content_res}")	

install (TARGETS pfs 
	LIBRARY DESTINATION lib${LIB_SUFFIX}
	ARCHIVE DESTINATION lib${LIB_SUFFIX})

#install (FILES ${CMAKE_CURRENT_BINARY_DIR}/cygpfs.dll DESTINATION bin)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/pfs.h ${CMAKE_CURRENT_SOURCE_DIR}/array2d.h DESTINATION include/pfs)
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/pfs.pc DESTINATION lib${LIB_SUFFIX}/pkgconfig)
	
#install (FILES pfsoutppm.1 DESTINATION ${MAN_DIR})

=== src/pfsview/CMakeLists.txt ===
include_directories ("${PROJECT_BINARY_DIR}/" "${PROJECT_SOURCE_DIR}/src/pfs" ${Qt5Widgets_INCLUDE_DIRS})
if( NOT HAS_GETOPT )
	include_directories ("${GETOPT_INCLUDE}")
endif( NOT HAS_GETOPT )

#include_directories ("${PROJECT_BINARY_DIR}/" "${PROJECT_SOURCE_DIR}/src/pfs" ${Qt5Widgets_INCLUDE_DIRS})
link_directories("${PROJECT_SOURCE_DIR}/src/pfs")

SET(pfsview_SOURCES main.cpp pfsview_widget.cpp luminancerange_widget.cpp histogram.cpp resources.cpp)
SET(pfsview_HEADERS main.h pfsview_widget.h luminancerange_widget.h)

if (OPENMP_FOUND)
#    set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
endif()

QT5_WRAP_CPP(pfsview_HEADERS_MOC ${pfsview_HEADERS})

QT5_WRAP_CPP(pfsview_HEADERS_MOC ${pfsview_HEADERS})

# Replace the tag with the path to bash
file(READ ${CMAKE_CURRENT_SOURCE_DIR}/pfsv.in file_content)
string(REGEX REPLACE "@BASH_PATH@" "${BASH_EXECUTABLE}" file_content "${file_content}")
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/pfsv" "${file_content}")	

install (FILES "${CMAKE_CURRENT_BINARY_DIR}/pfsv" 
         PERMISSIONS OWNER_EXECUTE GROUP_EXECUTE WORLD_EXECUTE OWNER_WRITE WORLD_READ GROUP_READ OWNER_READ
         DESTINATION bin)


ADD_EXECUTABLE(pfsview ${pfsview_SOURCES} 
    ${pfsview_HEADERS_MOC} "${GETOPT_OBJECT}")
TARGET_LINK_LIBRARIES(pfsview pfs Qt5::Widgets)

install (TARGETS pfsview DESTINATION bin)
install (FILES pfsview.1 DESTINATION ${MAN_DIR})

=== src/tmo/CMakeLists.txt ===
add_subdirectory (drago03)
add_subdirectory (mantiuk06)
add_subdirectory (reinhard02)
add_subdirectory (reinhard05)
add_subdirectory (pattanaik00)
add_subdirectory (fattal02)
add_subdirectory (durand02)
add_subdirectory (mai11)

if( FFTW_FOUND )
	add_subdirectory (ferradans11)
endif( FFTW_FOUND )

if( GSL_FOUND )
	add_subdirectory (mantiuk08)
endif( GSL_FOUND )

=== src/tmo/drago03/CMakeLists.txt ===
include_directories ("${PROJECT_BINARY_DIR}/"
"${PROJECT_SOURCE_DIR}/src/pfs" "${PROJECT_SOURCE_DIR}/src/tmo/pfstmo")
if( NOT HAS_GETOPT )
	include_directories ("${GETOPT_INCLUDE}")
endif( NOT HAS_GETOPT )
link_directories("${PROJECT_SOURCE_DIR}/src/pfs")

set(TRG pfstmo_drago03)
add_executable(${TRG} ${TRG}.cpp tmo_drago03.cpp "${GETOPT_OBJECT}")
target_link_libraries(${TRG} pfs)
install (TARGETS ${TRG} DESTINATION bin)
install (FILES ${TRG}.1 DESTINATION ${MAN_DIR})

=== src/tmo/durand02/CMakeLists.txt ===
include_directories ("${PROJECT_BINARY_DIR}/"
"${PROJECT_SOURCE_DIR}/src/pfs" "${PROJECT_SOURCE_DIR}/src/tmo/pfstmo")
if( NOT HAS_GETOPT )
	include_directories ("${GETOPT_INCLUDE}")
endif( NOT HAS_GETOPT )

link_directories("${PROJECT_SOURCE_DIR}/src/pfs")

if( FFTW_FOUND )
  set( FFTW_LIBRARIES ${FFTW_LIBS} )
  set( FAST_BILATERAL "fastbilateral.cpp" )
else( FFTW_FOUND )
  set( FFTW_LIBRARIES )
endif( FFTW_FOUND )

set(TRG pfstmo_durand02)
add_executable(${TRG} ${TRG}.cpp tmo_durand02.cpp bilateral.cpp "${FAST_BILATERAL}" "${GETOPT_OBJECT}")
target_link_libraries(${TRG} pfs ${FFTW_LIBRARIES})
install (TARGETS ${TRG} DESTINATION bin)
install (FILES ${TRG}.1 DESTINATION ${MAN_DIR})

=== src/tmo/mantiuk08/CMakeLists.txt ===
include_directories ("${PROJECT_BINARY_DIR}/"
"${PROJECT_SOURCE_DIR}/src/pfs" "${PROJECT_SOURCE_DIR}/src/tmo/pfstmo" "${GSL_INCLUDE_DIR}")

if( NOT HAS_GETOPT )
	include_directories ("${GETOPT_INCLUDE}")
endif( NOT HAS_GETOPT )

link_directories("${PROJECT_SOURCE_DIR}/src/pfs")

set(TRG pfstmo_mantiuk08)
add_executable(${TRG} ${TRG}.cpp display_adaptive_tmo.cpp display_function.cpp display_size.cpp cqp/cqpminimizer.cpp cqp/initial_point.cpp cqp/mg_pdip.cpp "${GETOPT_OBJECT}")
target_link_libraries(${TRG} pfs ${GSL_LIBRARIES})
install (TARGETS ${TRG} DESTINATION bin)
install (FILES ${TRG}.1 DESTINATION ${MAN_DIR})

=== src/tmo/reinhard02/CMakeLists.txt ===
include_directories ("${PROJECT_BINARY_DIR}/"
"${PROJECT_SOURCE_DIR}/src/pfs" "${PROJECT_SOURCE_DIR}/src/tmo/pfstmo")
if( NOT HAS_GETOPT )
	include_directories ("${GETOPT_INCLUDE}")
endif( NOT HAS_GETOPT )
link_directories("${PROJECT_SOURCE_DIR}/src/pfs")

set(TRG pfstmo_reinhard02)
add_executable(${TRG} ${TRG}.cpp tmo_reinhard02.cpp approx.cpp "${GETOPT_OBJECT}")
target_link_libraries(${TRG} pfs)
install (TARGETS ${TRG} DESTINATION bin)
install (FILES ${TRG}.1 DESTINATION ${MAN_DIR})

=== src/tmo/reinhard05/CMakeLists.txt ===
include_directories ("${PROJECT_BINARY_DIR}/"
"${PROJECT_SOURCE_DIR}/src/pfs" "${PROJECT_SOURCE_DIR}/src/tmo/pfstmo")
if( NOT HAS_GETOPT )
	include_directories ("${GETOPT_INCLUDE}")
endif( NOT HAS_GETOPT )
link_directories("${PROJECT_SOURCE_DIR}/src/pfs")

set(TRG pfstmo_reinhard05)
add_executable(${TRG} ${TRG}.cpp tmo_reinhard05.cpp "${GETOPT_OBJECT}")
target_link_libraries(${TRG} pfs)
install (TARGETS ${TRG} DESTINATION bin)
install (FILES ${TRG}.1 DESTINATION ${MAN_DIR})

=== debian/changelog ===
pfstools (2.2.0-9) unstable; urgency=medium

  * Build against ImageMagick 7. Closes: #1086937
  * Pull 47_pfstools-ImageMagick7.patch from Fedora.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 12 Nov 2024 11:22:08 +0100

pfstools (2.2.0-8) unstable; urgency=medium

  * B-d on libnetpbm-dev instead  of libnetpbm11-dev | libnetpbm-dev.
  * B-d on libmagick++-6.q16-dev instead of virtual package libmagick++-dev
    since the other provider (graphicsmagick) does not seem to be compatible
    with FindImageMagick.cmake. Closes: #1076560
  * Bump Standards-Version.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 19 Jul 2024 09:23:59 +0200

pfstools (2.2.0-7) unstable; urgency=low

  * Drop ancient (2008) Replaces (without corresponding Breaks) against
    pfstools.
  * Clean up after pdflatex, fixing double build. Closes: #1047197
  * Ship libpfs (and .pc) in multiarch paths. (Manually, upstream does not
    use GNUInstallDirs).
  * Run wrap-and-sort -ast.
  * Use ${perl:Depends} im debian/control.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 15 Aug 2023 12:15:01 +0200

pfstools (2.2.0-5) unstable; urgency=medium

  * Fix FTBFS with updated FindGLUT.cmake (part of cmake), also fix OpenEXR
    detection by updating FindOpenEXR.cmake from blender.
    + 45_exr_glut_FTBFS.diff
    + 45_update_FindOpenEXR.cmake.diff
  * 46_correct_bash_path.diff: Make sure bash is found as /bin/bash even on
    merged-usr.
  * Let pfstools recommend python3 for pfs_split_exposures.py.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 15 Nov 2022 18:32:38 +0100

pfstools (2.2.0-4) unstable; urgency=medium

  * Build-depend on octave-dev instead of transitional package liboctave-dev.
    Closes: #1014141
  * Build-depend on libnetpbm11-dev|libnetpbm-dev. Closes: #1016402
  * Migrate lintian overrides with lintian-migrate-overrides-to-pointed-hints.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 08 Aug 2022 13:24:50 +0200

pfstools (2.2.0-2) unstable; urgency=medium

  * 43_reorder-includes-netpbm.patch by Peter Michael Green: Reorder
    includes to stop macro in netpbm's pm.h causing breakage in
    c++ system headers (Closes: 998498)

 -- Andreas Metzler <ametzler@debian.org>  Mon, 13 Dec 2021 18:40:34 +0100

pfstools (2.2.0-1) unstable; urgency=medium

  * New upstream version.
    + Drop superfluous patches
      40_Fix-format-security-errors-with-Octave-5.1.patch
      45_Fixed-Octave-interface-upgraded-to-Octave-6-thanks-t.patch

 -- Andreas Metzler <ametzler@debian.org>  Sun, 29 Aug 2021 18:19:07 +0200

pfstools (2.1.0-6) unstable; urgency=medium

  * Rename octave patches for proper sorting.
  * 42_reorder-includes-imagemagick.patch by Peter Michael Green: Re-order
    includes to work around bug 969128 in libmagick++-6.q16-dev.
    Closes: #966904
  * 45_Fixed-Octave-interface-upgraded-to-Octave-6-thanks-t.patch from
    upstream GIT: Octave interface upgraded to Octave-6, fixing another FTBFS.
   * [lintian] Use v4 watchfile standard.
   * [lintian] Upgrade to debhelper 13 compat level.
   * [lintian] Fix globbing order in debian/copyright.
   * Add lintian override for html template files.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 28 Mar 2021 14:28:44 +0200

=== debian/control ===
Source: pfstools
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders:
 Sebastian Harl <tokkee@debian.org>,
 Andreas Metzler <ametzler@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (=13),
 freeglut3-dev,
 gfortran,
 libgsl-dev,
 libmagick++-7.q16-dev,
 libnetpbm-dev,
 libopenexr-dev,
 libtiff-dev,
 octave-dev,
 qtbase5-dev,
 texlive-latex-base,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://pfstools.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/pfstools
Vcs-Git: https://salsa.debian.org/debian-phototools-team/pfstools.git

Package: pfstools
Architecture: any
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Recommends:
 octave,
 octave-pfstools,
 octave-signal,
 pfsglview | pfsview,
 pfstmo,
 python3,
Suggests:
 dcraw,
 exrtools,
 imagemagick,
Description: command line HDR manipulation programs
 pfstools is a set of command line (and two GUI) programs for reading,
 writing, manipulating and viewing high-dynamic range (HDR) images and video
 frames. All programs in this package exchange data using a simple generic
 file format (pfs) for HDR data. It is an attempt to integrate existing file
 formats by providing a simple data format that can be used to exchange data
 between applications.
 .
 The concept of pfstools is similar to netpbm for low-dynamic range images.

Package: pfsglview
Architecture: any
Depends:
 pfstools (= ${binary:Version}),
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Description: command line HDR manipulation programs (OpenGL/GLUT viewer)
 PFS is a high-dynamic range (HDR) image format. It is an attempt to integrate
 existing file formats by providing a simple data format that can be used to
 exchange data between applications.
 .
 This package contains a viewer implemented in OpenGL/GLUT.

Package: pfsview
Architecture: any
Depends:
 pfstools (= ${binary:Version}),
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Description: command line HDR manipulation programs (Qt viewer)
 PFS is a high-dynamic range (HDR) image format. It is an attempt to integrate
 existing file formats by providing a simple data format that can be used to
 exchange data between applications.
 .
 This package contains a viewer implemented in Qt.

Package: libpfs-dev
Section: libdevel
Architecture: any
Depends:
 libpfs2 (= ${binary:Version}),
 ${misc:Depends},
 ${perl:Depends},
Description: C++ library to read and write pfs files (development files)
 PFS is a high-dynamic range (HDR) image format. It is an attempt to integrate
 existing file formats by providing a simple data format that can be used to
 exchange data between applications. This library can be used to write custom
 applications that can integrate with the existing pfstools programs.
 .
 This package contains the header files and the static library.

Package: libpfs2
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Description: C++ library to read and write pfs files
 PFS is a high-dynamic range (HDR) image format. It is an attempt to integrate
 existing file formats by providing a simple data format that can be used to
 exchange data between applications. This library can be used to write custom
 applications that can integrate with the existing pfstools programs.
 .
 This package contains the shared library.

Package: octave-pfstools
Section: math
Architecture: any
Depends:
 octave,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Description: octave bindings for pfstools
 PFS is a high-dynamic range (HDR) image format. It is an attempt to integrate
 existing file formats by providing a simple data format that can be used to
 exchange data between applications.
 .
 This package contains octave bindings to read and write PFS files.

Package: pfstmo
Architecture: any
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Recommends:
 pfstools,
Description: set of tone mapping operators
 This package contains a set of state-of-the-art tone mapping operators. Tone
 mapping is a technique used to approximately map the appearance of
 high-dynamic range (HDR) images to media with more limited dynamic range. The
 operators are suitable for processing of both static images and animations.
 .
 The operators are embedded in a flexible framework (pfstools) which provides
 a unified input/output mechanism and a modular architecture for the filtering
 of the image data. Various file formats for static images and video are
 transparently supported and the High Dynamic Range data are processed
 modularly through a Unix piping mechanism.

=== debian/watch ===
version=4

http://sf.net/pfstools/pfstools-([0-9.]+)\.(?:tar\.gz|tgz)
